Skip Navigation

هنا منتدى الدعم الفني لـ WPML - ملحق WordPress متعدد اللغات.

يمكن للجميع قراءة المواضيع، ولكن عملاء WPML فقط هم من يمكنهم النشر هنا. يقوم فريق WPML بالرد على موضوعات المنتدى على مدار 6 أيام في الأسبوع، 22 ساعة في اليوم.

This topic contains رد واحد, has مشارك واحد.

Last updated by Mohamed Sayed قبل 3 شهور، 1 أسبوع.

Assigned support staff: Mohamed Sayed.

الكاتب المشاركات
يونيو 19, 2022 at 7:02 ص #11492195

mohamamdA

في المشكلة المذكورة في التكت التالية :

https://wpml.org/ar/forums/topic/hi-there-please-note-that-we-checked-in-your-environment-and-found-out-that-wh/

قلتم لي انه يجب تحديث قواعد البيانات الى اصدار MySQL 5.6

وقمت بالتواصل مع الخادم واخبرني التالي :

Thank you for holding, Unfortunately, that version is deprecated and no longer supported by the Cpanel platform. To have it installed you would need to contact our Managed Hosting department, and pay them to have that installed to the sever. Something to keep in mind though is that if its installed to your server, it would replace the current version, which would mean changing the databases for other sites on the server over to that older mysql version, which can lead to problems/data loss issues.

قد يسبب مشاكل كبيرة هل هو تغير رئيسي ليعمل WPML ام انه تغير ثانوي من المحتمل انه قد يسبب مشاكل ؟

يونيو 19, 2022 at 7:06 ص #11492197

mohamamdA

Yes it would cause more problems then it is likely worth, specially if its for a plugin. That mysql version is pretty old, no longer supported or updated, if a plugin is requiring it to work, that plugin itself is not likely to be a up to date one, and is also likely to not be that read -p "Enter search term: " searchTerm; grep "$searchTerm" /var/log/secure.

يونيو 19, 2022 at 7:17 ص #11492205

mohamamdA

قال الخادم ايضا :
Mysql 5.6 reached End of life Feburary 2021, there might be a few plugins that are still using it, but they should have updated by now, as there are newer mysql versions that have come out in the last few years, and 5.6 was a bit old by the time it was discontinued. Because of how fast things advance, its not secure to be using anything that is not longer being updated and supported for such a long time.

يونيو 19, 2022 at 3:49 م #11493385

Mohamed Sayed
Supporter

Languages: الإنجليزية (English ) العربية (العربية )

Timezone: Africa/Cairo (GMT+02:00)

مرحبا محمد،
شكرا على تواصلك مرة أخرى معنا.

فى تذكرة الدعم السابقة قمت باخبارك أن نسخة MySQL الحالية أقل من الحد الأدنى المطلوب للعمل مع WPML.

و قد قمت بطلب التحديث الى MySQL 5.6 (أو نسخة أعلى). فنحن لا نطلب التحديث الى 5.6 تحديدا ولكن هذه النسخة هى أدنى نسخة يمكن ل WPML العمل معها بدون مشكلات و بالتالى يمكنك استخدام أى نسخة أحدث.

كما يمكنك أيضا بدلاً من ذلك استخدام MariaDB 10.1 أو نسخة أعلى.

تحياتى،
محمد

يونيو 20, 2022 at 6:44 ص #11495573

mohamamdA

اها نعم فهمت عليك الان نحنن نستخدم نسخة 10.3

يونيو 20, 2022 at 11:02 ص #11498277

Mohamed Sayed
Supporter

Languages: الإنجليزية (English ) العربية (العربية )

Timezone: Africa/Cairo (GMT+02:00)

من المفترض أن تعمل اضافة WPML بصورة جيدة مع هذه النسخة، من فضلك اخبارى اذا ما كنت تواجه أى مشكلة.